- Qt 5.15
- Qt 3D
- C++ Classes
- QPerVertexColorMaterial
- Qt 5.15.11 Reference Documentation

# QPerVertexColorMaterial Class

class Qt3DExtras::QPerVertexColorMaterial

The QPerVertexColorMaterial class provides a default implementation for rendering the color properties set for each vertex. More...

Header: | #include <QPerVertexColorMaterial>
qmake: | QT += 3dextras
Since: | Qt 5.7
Inherits: | Qt3DRender::QMaterial

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Public Functions

virtual | ~QPerVertexColorMaterial()

## Detailed Description

This lighting effect is based on the combination of 2 lighting components ambient and diffuse. Ambient is set by the vertex color. Diffuse takes in account the normal distribution of each vertex.

- Ambient is the color that is emitted by an object without any other light source.
- Diffuse is the color that is emitted for rough surface reflections with the lights

This material uses an effect with a single render pass approach and forms fragment lighting. Techniques are provided for OpenGL 2, OpenGL 3 or above as well as OpenGL ES 2.

## Member Function Documentation

### `[virtual]` QPerVertexColorMaterial::~QPerVertexColorMaterial()

Destroys the QPerVertexColorMaterial